<?php declare(strict_types=1);

namespace App\Entity;

use OpenApi\Attributes as OAT;

/**
 *
 */
#[OAT\Schema(schema: 'nameserver')]

class Nameserver
{
	private int $id;
	private String $name;
	private String $a;
	private String $aaaa;
	private String $apikey;
	
	public function __construct(String $name, int $id = 0, String $a = '', String $aaaa = '', String $apikey = '')
	{
		$this->id = $id;
		$this->name = $name;
		$this->a = $a;
		$this->aaaa = $aaaa;
		$this->apikey = $apikey;
	}
	
	
	/**
	 * @return String
	 */
	#[OAT\Property(type: 'string')]
	public function getA(): string
	{
		return $this->a;
	}
	
	/**
	 * @param String $a
	 */
	public function setA(string $a): void
	{
		$this->a = $a;
	}
	
	/**
	 * @return String
	 */
	#[OAT\Property(type: 'string')]
	public function getAaaa(): string
	{
		return $this->aaaa;
	}
	
	/**
	 * @param String $aaaa
	 */
	public function setAaaa(string $aaaa): void
	{
		$this->aaaa = $aaaa;
	}
	
	/**
	 * @return String
	 */
	#[OAT\Property(type: 'string')]
	public function getApikey(): string
	{
		return $this->apikey;
	}
	
	/**
	 * @param String $apikey
	 */
	public function setApikey(string $apikey): void
	{
		$this->apikey = $apikey;
	}
	
	/**
	 * @return int
	 */
	#[OAT\Property(type: 'int')]
	public function getId(): int
	{
		return $this->id;
	}
	
	/**
	 * @param int $id
	 */
	public function setId(int $id): void
	{
		$this->id = $id;
	}
	
	/**
	 * @return String
	 */
	#[OAT\Property(type: 'string')]
	public function getName(): string
	{
		return $this->name;
	}
	
	/**
	 * @param String $name
	 */
	public function setName(string $name): void
	{
		$this->name = $name;
	}
	
}